Package Details: purr-data 2.9.0.r4151.c01f8e7d-1

Git Clone URL: https://aur.archlinux.org/purr-data.git (read-only)
Package Base: purr-data
Description: Jonathan Wilkes' nw.js variant of Pd-L2Ork (git version)
Upstream URL: https://agraef.github.io/purr-data/
Licenses: BSD
Conflicts: purr-data
Submitter: pure-aur
Maintainer: pure-aur
Last Packager: pure-aur
Votes: 4
Popularity: 0.002513
First Submitted: 2016-06-27 17:24
Last Updated: 2019-08-19 10:23

Dependencies (46)

Sources (3)

Latest Comments

1 2 3 Next › Last »

aggraef commented on 2019-08-23 16:48

I've moved the binary repo into my OBS home project now (which also has repos for Debian, Raspbian and Ubuntu packages), so the new download URL is https://download.opensuse.org/repositories/home:aggraef/Arch (without the ::arch component). So if you're already using this, make sure to update your pacman.conf entry to:

[home_aggraef_Arch]
SigLevel = Never
Server = https://download.opensuse.org/repositories/home:aggraef/Arch/$arch

This repo is live now, so everyone still using the Bitbucket repo please switch over, and let me know if you run into any troubles with the new OBS repo. Detailed installation instructions can be found at the Purr Data wiki. Enjoy!

aggraef commented on 2019-08-20 07:29

@ansgoati, glad that it works for you! One caveat about the OBS repo (home_aggraef_arch_Arch) is that I'm also using it to test my latest feature branches, so expect a lot of updates there. OTOH, that means that you'll get to see all my latest bugfixes and improvements before I shuffle them upstream. ;-)

As I mentioned, the l2orkaur.bitbucket.org repo will be going away some time. It's just much easier and more reliable to build packages using the OBS than with my own ad-hoc infrastructure. But I'll give you all a heads-up here when that's about to happen.

ansgoati commented on 2019-08-20 05:53

Now the three repos work!!. The [home_aggraef_arch_Arch] is even more faster :) :) Thank you.

aggraef commented on 2019-08-20 05:02

The old BB repository should also be in good working order again. Thanks for reporting. :)

aggraef commented on 2019-08-20 04:18

@ansgoati, I recently converted that Bitbucket repo to git-lfs storage, which works fine with git, but not with https downloads. So that repo is broken now, I'm afraid. :(

I'm in the process of migrating to the Open Build Service anyway, see https://github.com/agraef/purr-data/wiki/Installation#arch. Can you please try this? Here's the new pacman.conf entry:

[home_aggraef_arch_Arch]
SigLevel = Never
Server = https://download.opensuse.org/repositories/home:aggraef:arch/Arch/$arch

Then just run sudo pacman -Syy and try installing again.

ansgoati commented on 2019-08-20 03:01

@aggraef, i've just recently added the repo to pacman.conf is the first time that i try to install the purr-data binary. All packages from the repo say the same.

aggraef commented on 2019-08-19 23:15

@ansgoati, I'm not sure what's going on there, it looks like I inadvertently built and uploaded the same package version twice, and with different contents, but I don't think I did.

Normally if you just let it go ahead and delete the package from the cache and then rerun pacman, it should update the package all right. If that doesn't do the trick, deleting the package, clearing the cache (or at least deleting the package from /var//var/cache/pacman/pkg/) and then reinstalling the package may help.

ansgoati commented on 2019-08-19 20:58

Hello. I've try to install the binary package from the repo but it says. :: File /var/cache/pacman/pkg/purr-data-2.9.0.r4151.c01f8e7d-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (checksum)). Do you want to delete it? [Y/n] error: failed to commit transaction (invalid or corrupted package (checksum)) Errors occurred, no packages were upgraded.

aggraef commented on 2019-08-08 23:01

Looks like the problem reported by morrisar47 is fixed by the latest version of this package, so simply updating to the latest purr-data package should solve the problem.

aggraef commented on 2019-08-08 09:33

I just went ahead now and updated this package to my latest testing version (2.9.0 20190806-rev.c96563ce), which appears to work fine (I've been testing this quite heavily on both Manjaro and Ubuntu for some time now). This updates nw.js to 0.24.4 which will resolve the font issues on xfce and gnome systems. As a bonus, you also get the very latest Gem (0.94+git) from upstream.

The problems with pango 1:1.44.3-1 on current Arch systems, as reported by morrisar47, are most likely due to a bug in this specific pango package. I'm not sure whether that persists with the new Purr version, but in any case I'll have a look at that asap. If you experience this, for the time being you can temporarily work around the problem by downgrading to the previous pango package version (1:1.44-1), until this has been sorted out.

If you notice any further issues with this version, please report them at https://bitbucket.org/l2orkaur/l2orkaur.bitbucket.org/issues. Thanks.